diff -Nru dist-3.5-36.0001/mcon/U/basicshell.U dist-3.5-236/mcon/U/basicshell.U
--- dist-3.5-36.0001/mcon/U/basicshell.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/basicshell.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: basicshell.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Begin.U dist-3.5-236/mcon/U/Begin.U
--- dist-3.5-36.0001/mcon/U/Begin.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Begin.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Begin.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -18,7 +18,7 @@
 ?RCS: Revision 3.0.1.1  1994/10/31  09:32:20  ram
 ?RCS: patch44: created
 ?RCS:
-?X: 
+?X:
 ?X: This file comes after option processing had been done and after all
 ?X: the default values have been set up. It marks the beginning of questions.
 ?X: It is important that Options be listed *after* Myinit to ensure that the
diff -Nru dist-3.5-36.0001/mcon/U/bin.U dist-3.5-236/mcon/U/bin.U
--- dist-3.5-36.0001/mcon/U/bin.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/bin.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: bin.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/bitpbyte.U dist-3.5-236/mcon/U/bitpbyte.U
--- dist-3.5-36.0001/mcon/U/bitpbyte.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/bitpbyte.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: bitpbyte.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/byteorder.U dist-3.5-236/mcon/U/byteorder.U
--- dist-3.5-36.0001/mcon/U/byteorder.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/byteorder.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, 2012 Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
 ?RCS:
-?MAKE:byteorder: cat contains echo n c Myread Oldconfig Loc +cc +ccflags rm _o
+?MAKE:byteorder: cat contains echo n c Myread Oldconfig Loc +cc +ccflags rm_try _o
 ?MAKE:	-pick add $@ %<
 ?S:byteorder:
 ?S:	This variable holds the byte order. In the following, larger digits
@@ -64,5 +64,5 @@
 4321) echo " big-endian." >&4;;
 esac
 byteorder=$order
-$rm -f try.c try$_o
+$rm_try
 
diff -Nru dist-3.5-36.0001/mcon/U/ccflags.U dist-3.5-236/mcon/U/ccflags.U
--- dist-3.5-36.0001/mcon/U/ccflags.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/ccflags.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: ccflags.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -47,7 +47,7 @@
 ?RCS:
 ?MAKE:ccflags ldflags lkflags cppflags optimize pthread locincpth: test cat \
 	Myread Guess Options Oldconfig gccversion mips_type +usrinc \
-	package contains rm +cc cppstdin cppminus cpprun cpplast libpth \
+	package contains rm rm_try +cc cppstdin cppminus cpprun cpplast libpth \
 	loclibpth hint
 ?MAKE:	-pick add $@ %<
 ?S:ccflags:
@@ -453,5 +453,5 @@
 	;;
 n) echo "OK, that should do.";;
 esac
-$rm -f try try.* core
+$rm_try
 
diff -Nru dist-3.5-36.0001/mcon/U/cc.U dist-3.5-236/mcon/U/cc.U
--- dist-3.5-36.0001/mcon/U/cc.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cc.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: cc.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: $Log: cc.U,v $
 ?RCS: Revision 3.0.1.4  1995/05/12  12:06:47  ram
 ?RCS: patch54: may now abort Configure when cc does not work
diff -Nru dist-3.5-36.0001/mcon/U/cf_email.U dist-3.5-236/mcon/U/cf_email.U
--- dist-3.5-36.0001/mcon/U/cf_email.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cf_email.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: cf_email.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: $Log: cf_email.U,v $
 ?RCS: Revision 3.0.1.1  1994/01/24  14:05:06  ram
 ?RCS: patch16: created
diff -Nru dist-3.5-36.0001/mcon/U/cf_name.U dist-3.5-236/mcon/U/cf_name.U
--- dist-3.5-36.0001/mcon/U/cf_name.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cf_name.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: cf_name.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: Original Author: Graham Stoney <greyham@research.canon.oz.au>
 ?RCS:
 ?RCS: $Log: cf_name.U,v $
diff -Nru dist-3.5-36.0001/mcon/U/cf_who.U dist-3.5-236/mcon/U/cf_who.U
--- dist-3.5-36.0001/mcon/U/cf_who.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cf_who.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: cf_who.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -47,16 +47,19 @@
 ?X:   cf_by=`( (logname) 2>/dev/null || whoami) 2>&1`
 ?X: Switch to emergency mode... -- RAM, 19/04/94
 ?X:
-?X: Parens needed to avoid error message if the program does not exist.
+?X: Parentheses needed to avoid error message if the program does not exist.
 ?X: Uses case instead of $test so it can be put before $test is defined.
 ?X: Don't redirect to a file because on Ultrix (under script?) logname
 ?X: outputs a blank line first.  This method will apparently work.
-cf_by=`(logname) 2>/dev/null`
 case "$cf_by" in
 "")
-	cf_by=`(whoami) 2>/dev/null`
+	cf_by=`(logname) 2>/dev/null`
 	case "$cf_by" in
-	"") cf_by=unknown ;;
+	"")
+		cf_by=`(whoami) 2>/dev/null`
+		case "$cf_by" in
+		"") cf_by=unknown ;;
+		esac ;;
 	esac ;;
 esac
 
diff -Nru dist-3.5-36.0001/mcon/U/charorder.U dist-3.5-236/mcon/U/charorder.U
--- dist-3.5-36.0001/mcon/U/charorder.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/charorder.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: charorder.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/charsize.U dist-3.5-236/mcon/U/charsize.U
--- dist-3.5-36.0001/mcon/U/charsize.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/charsize.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: charsize.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -15,7 +15,7 @@
 ?RCS: Revision 3.0  1993/08/18  12:05:34  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?MAKE:charsize: Assert Myread cat rm +cc +ccflags echo n c
+?MAKE:charsize: Assert Myread cat rm_try +cc +ccflags echo n c
 ?MAKE:	-pick add $@ %<
 ?S:charsize:
 ?S:	This variable contains the value of the CHARSIZE symbol, which
@@ -60,5 +60,5 @@
 	charsize=$size
 	;;
 esac
-$rm -f try.*
+$rm_try
 
diff -Nru dist-3.5-36.0001/mcon/U/Checkcc.U dist-3.5-236/mcon/U/Checkcc.U
--- dist-3.5-36.0001/mcon/U/Checkcc.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Checkcc.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Checkcc.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -9,11 +9,11 @@
 ?RCS: of the source tree for dist 4.0.
 ?RCS:
 ?RCS: Copyright (c) 2000, Jarkko Hietaniemi
-?RCS: 
-?X: 
+?RCS:
+?X:
 ?X: This unit produces a bit of shell code that must be dotted in order
 ?X: to make quick check on whether the current C compiler is working.
-?X:	
+?X:
 ?MAKE:Checkcc ccname ccversion: Myread Warn startsh cat contains test
 ?MAKE:	-pick add $@ %<
 ?S:ccname:
diff -Nru dist-3.5-36.0001/mcon/U/Chk_MANI.U dist-3.5-236/mcon/U/Chk_MANI.U
--- dist-3.5-36.0001/mcon/U/Chk_MANI.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Chk_MANI.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Chk_MANI.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Chk_whoami.U dist-3.5-236/mcon/U/Chk_whoami.U
--- dist-3.5-36.0001/mcon/U/Chk_whoami.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Chk_whoami.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Chk_whoami.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -15,7 +15,7 @@
 ?X:
 ?X: This unit makes sure we don't try to include whoami.h if uname() exists.
 ?X:
-?MAKE:Chk_whoami: d_uname i_whoami 
+?MAKE:Chk_whoami: d_uname i_whoami
 ?MAKE:	-pick add $@ %<
 ?LINT:change i_whoami
 : weed out incompatibilities
diff -Nru dist-3.5-36.0001/mcon/U/Compile.U dist-3.5-236/mcon/U/Compile.U
--- dist-3.5-36.0001/mcon/U/Compile.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Compile.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Compile.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -36,9 +36,9 @@
 ?S:		echo 'int main() { exit(0); }' > try.c
 ?S:		set try
 ?S:		if eval $compile; then
-?S:			echo "success"   # and do whatever . . . 
+?S:			echo "success"   # and do whatever . . .
 ?S:		else
-?S:			echo "failure"   # and do whatever . . . 
+?S:			echo "failure"   # and do whatever . . .
 ?S:		fi
 ?S:	To add extra flags cc flags (e.g. -DWHATEVER) just put them
 ?S:	in $*, e.g.
@@ -48,7 +48,7 @@
 ?S:	This shell variable is used internally by Configure to provide
 ?S:	a convenient shorthand for the typical compile command that you
 ?S:	expect to work ok.  It is the same as $compile, except we
-?S:	deliberately let the user see any error messages. 
+?S:	deliberately let the user see any error messages.
 ?S:.
 : define a shorthand compile call
 compile='
diff -Nru dist-3.5-36.0001/mcon/U/Configdir.U dist-3.5-236/mcon/U/Configdir.U
--- dist-3.5-36.0001/mcon/U/Configdir.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Configdir.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Configdir.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Config_h.U dist-3.5-236/mcon/U/Config_h.U
--- dist-3.5-36.0001/mcon/U/Config_h.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Config_h.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Config_h.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -27,7 +27,7 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:47  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This file ends up producing the config_h.SH script, which is run to produce
 ?X: the config.h file.  The file ./.Config_h below contains all the ?H: lines
 ?X: extracted out of all the units.  Metaconfig itself adds the !GROK!THIS!.
@@ -38,7 +38,7 @@
 ?X: 'dot' is allowed within the file name, as it is part of the "extension" of
 ?X: the file. MS-DOG will not let you have two 'dots' because that would mean
 ?X: two "extensions".
-?X: 
+?X:
 ?MAKE:Config_h: Id End Config_sh Obsol_h myuname cf_time cf_by package src
 ?MAKE:	-pick c_h_weed $@ %<
 ?MAKE:	-pick c_h_weed $@ ./Config_h
@@ -78,16 +78,16 @@
 ?X: is provision here for #un-def, which is translated back into #undef after
 ?X: all original #undef have been processed.
 ?X:
-?X:	Previously, we changed all 
-?X:		#undef FOO /**/ 
+?X:	Previously, we changed all
+?X:		#undef FOO /**/
 ?X:	into
-?X:		/*#define FOO /**/ 
+?X:		/*#define FOO /**/
 ?X:	The xlc compiler (available on IBM's AIX) complains that this is
 ?X:	an illegal attempt to write a nested comment, and warns against it.
 ?X:	There's apparently no way to shut the compiler up, either.
 ?X:	This sed command from Hallvard B Furuseth <h.b.furuseth@usit.uio.no>
 ?X:	changes it to
-?X:		/*#define FOO / **/ 
+?X:		/*#define FOO / **/
 sed <<!GROK!THIS! >$CONFIG_H -e 's!^#undef\(.*/\)\*!/\*#define\1 \*!' -e 's!^#un-def!#undef!'
 /*
  * This file was produced by running the config_h.SH script, which
@@ -98,7 +98,7 @@
  * that running config_h.SH again will wipe out any changes you've made.
  * For a more permanent change edit $CONFIG_SH and rerun config_h.SH.
  *
- * \$Id: Config_h.U 167 2013-05-08 17:58:00Z rmanfredi $
+ * \$Id$
  */
 
 /*
diff -Nru dist-3.5-36.0001/mcon/U/Config_sh.U dist-3.5-236/mcon/U/Config_sh.U
--- dist-3.5-36.0001/mcon/U/Config_sh.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Config_sh.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Config_sh.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
@@ -21,12 +21,12 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:48  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit ends up producing the config.sh script, which contains all the
 ?X: definitions figured out by Configure.  The add.Config_sh command knows
 ?X: which variables need to be remembered.  It also adds the EOT (ends the
 ?X: here document redirection with variable substitution).
-?X: 
+?X:
 ?MAKE:Config_sh: cf_time cf_by test spitshell startsh myuname Myread \
 	End Obsol_sh Loc +d_portable package src cat sed
 ?MAKE:	-pick add.Config_sh $@ %<
diff -Nru dist-3.5-36.0001/mcon/U/contains.U dist-3.5-236/mcon/U/contains.U
--- dist-3.5-36.0001/mcon/U/contains.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/contains.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: contains.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/cppfilecom.U dist-3.5-236/mcon/U/cppfilecom.U
--- dist-3.5-36.0001/mcon/U/cppfilecom.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cppfilecom.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: cppfilecom.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/cppstdin.U dist-3.5-236/mcon/U/cppstdin.U
--- dist-3.5-36.0001/mcon/U/cppstdin.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cppstdin.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: cppstdin.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/cpp_stuff.U dist-3.5-236/mcon/U/cpp_stuff.U
--- dist-3.5-36.0001/mcon/U/cpp_stuff.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cpp_stuff.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: cpp_stuff.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Cppsym.U dist-3.5-236/mcon/U/Cppsym.U
--- dist-3.5-36.0001/mcon/U/Cppsym.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Cppsym.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: Cppsym.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: $Log: Cppsym.U,v $
 ?RCS: Revision 3.0.1.5  1995/05/12  11:59:11  ram
 ?RCS: patch54: split awk command onto two lines for older awks (ADO)
@@ -30,14 +30,14 @@
 ?RCS: Revision 3.0  1993/08/18  12:04:50  ram
 ?RCS: Baseline for dist 3.0 netwide release.
 ?RCS:
-?X: 
+?X:
 ?X: This unit produces a shell script called Cppsym, which can be used to
 ?X: determine whether any in a list of symbols is defined by the C compilation
 ?X: chain (C preprocessor symbols plus C compiler native ones).
 ?X: It can determine the status of any symbol, though the symbols in $al
 ?X: are more easily determined.  If you want to add to $al you can do
 ?X: it in Myinit.U.
-?X: 
+?X:
 ?MAKE:Cppsym ccsymbols cppsymbols cppccsymbols: run \
 	eunicefix Guess awk cat tr sed sort rm startsh osname \
 	+cc gccversion test comm uniq echo Options trnl \
diff -Nru dist-3.5-36.0001/mcon/U/cpp_trad.U dist-3.5-236/mcon/U/cpp_trad.U
--- dist-3.5-36.0001/mcon/U/cpp_trad.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/cpp_trad.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: cpp_trad.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/Cross.U dist-3.5-236/mcon/U/Cross.U
--- dist-3.5-36.0001/mcon/U/Cross.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/Cross.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,13 +1,13 @@
-?RCS: $Id: Cross.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
 ?RCS: that same Artistic License; a copy of which may be found at the root
 ?RCS: of the source tree for dist 4.0.
-?RCS: 
+?RCS:
 ?RCS: Copyright (c) 2001 Jarkko Hietaniemi
 ?RCS:
 ?MAKE:run to from targetarch usecrosscompile: src awk cat grep test rm \
diff -Nru dist-3.5-36.0001/mcon/U/Csym.U dist-3.5-236/mcon/U/Csym.U
--- dist-3.5-36.0001/mcon/U/Csym.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/Csym.U	2018-05-20 22:49:04.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Csym.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_access.U dist-3.5-236/mcon/U/d_access.U
--- dist-3.5-36.0001/mcon/U/d_access.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_access.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_access.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_alarm.U dist-3.5-236/mcon/U/d_alarm.U
--- dist-3.5-36.0001/mcon/U/d_alarm.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_alarm.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_alarm.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_arc4random.U dist-3.5-236/mcon/U/d_arc4random.U
--- dist-3.5-36.0001/mcon/U/d_arc4random.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_arc4random.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: d_arc4random.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2006, Christian Biere
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/d_attribut.U dist-3.5-236/mcon/U/d_attribut.U
--- dist-3.5-36.0001/mcon/U/d_attribut.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_attribut.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_attribut.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_backtrace.U dist-3.5-236/mcon/U/d_backtrace.U
--- dist-3.5-36.0001/mcon/U/d_backtrace.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_backtrace.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_backtrace.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2011, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_bcmp.U dist-3.5-236/mcon/U/d_bcmp.U
--- dist-3.5-36.0001/mcon/U/d_bcmp.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_bcmp.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_bcmp.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_bcopy.U dist-3.5-236/mcon/U/d_bcopy.U
--- dist-3.5-36.0001/mcon/U/d_bcopy.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_bcopy.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_bcopy.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_bindtxtcode.U dist-3.5-236/mcon/U/d_bindtxtcode.U
--- dist-3.5-36.0001/mcon/U/d_bindtxtcode.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_bindtxtcode.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: d_bindtxtcode.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2006, Christian Biere
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/d_brokstat.U dist-3.5-236/mcon/U/d_brokstat.U
--- dist-3.5-36.0001/mcon/U/d_brokstat.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_brokstat.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_brokstat.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_bsdjmp.U dist-3.5-236/mcon/U/d_bsdjmp.U
--- dist-3.5-36.0001/mcon/U/d_bsdjmp.U	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/U/d_bsdjmp.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_bsdjmp.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS: 
+?RCS:
 ?RCS: You may redistribute only under the terms of the Artistic License,
 ?RCS: as specified in the README file that comes with the distribution.
 ?RCS: You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/U/d_built_clz.U dist-3.5-236/mcon/U/d_built_clz.U
--- dist-3.5-36.0001/mcon/U/d_built_clz.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_built_clz.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: d_built_clz.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2012 Raphael Manfredi
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/d_built_ctz.U dist-3.5-236/mcon/U/d_built_ctz.U
--- dist-3.5-36.0001/mcon/U/d_built_ctz.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_built_ctz.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: d_built_ctz.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2012 Raphael Manfredi
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/d_built_memcmp.U dist-3.5-236/mcon/U/d_built_memcmp.U
--- dist-3.5-36.0001/mcon/U/d_built_memcmp.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_built_memcmp.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: d_built_memcmp.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2011, Raphael Manfredi
 ?RCS:
diff -Nru dist-3.5-36.0001/mcon/U/d_built_popcount.U dist-3.5-236/mcon/U/d_built_popcount.U
--- dist-3.5-36.0001/mcon/U/d_built_popcount.U	2013-05-08 19:58:00.000000000 +0200
+++ dist-3.5-236/mcon/U/d_built_popcount.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,4 +1,4 @@
-?RCS: $Id: d_built_popcount.U 167 2013-05-08 17:58:00Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS: Copyright (c) 2006, Christian Biere
 ?RCS:
